extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Navbar Vue Component | Framework7 Vue Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Navbar Vue Component
      script(src="/js/motion/navbar.js")
      f7-motion-navbar(motion)

    p Navbar is a fixed (with Fixed and Through layout types) area at the top of a screen that contains Page title and navigation elements.
    p Navbar Vue component represents <a href="../docs/navbar.html">Navbar</a> component.
    h2 Navbar Components
    p There are following components included:
    ul
      li `f7-navbar`
      li `f7-nav-left`
      li `f7-nav-right`
      li `f7-nav-title`
      li `f7-nav-title-large`
    h2 Navbar Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-navbar&gt; properties
        tr
          td title
          td string
          td
          td Navbar title
        tr
          td subtitle
          td string
          td
          td Navbar sub title
        tr
          td back-link
          td boolean<br>string
          td
          td Adds back-link with text (if `string` value is specified)
        tr
          td back-link-url
          td string
          td
          td Custom back link URL
        tr
          td back-link-force
          td boolean
          td false
          td Force page to load and ignore previous page in history
        tr
          td back-link-show-text
          td boolean
          td
          td By default back link text disable for MD theme
        tr
          td sliding
          td boolean
          td true
          td Enables "sliding" effect for nav elements
        tr
          td outline
          td boolean
          td true
          td Adds navbar bottom thin border (hairline) for iOS theme
        tr
          td hidden
          td boolean
          td false
          td Makes navbar hidden
        tr
          td inner-class
          td string
          td
          td Adds additional class to `navbar-inner` element
        tr
          td inner-class-name
          td string
          td
          td Alias for `inner-class` prop
        tr
          td large
          td boolean
          td
          td Enables navbar with large title
        tr
          td transparent
          td boolean
          td
          td Makes navbar transparent. Can be used in addition to `large` prop to make large navbar transparent.
        tr
          td title-large
          td string
          td
          td Navbar large title text. If not specified then will be equal to `title` prop
        tr
          th(colspan="4") &lt;f7-nav-left&gt; properties
        tr
          td back-link
          td boolean<br>string
          td
          td Adds back-link with text (if string value is specified)
        tr
          td back-link-url
          td string
          td
          td Custom back link URL
        tr
          td back-link-force
          td boolean
          td false
          td Force page to load and ignore previous page in history
        tr
          td back-link-show-text
          td boolean
          td
          td By default back link text disable for MD theme
        tr
          td sliding
          td boolean
          td
          td Enables "sliding" effect. By default inherits `sliding` prop of parent `f7-navbar`
        tr
          th(colspan="4") &lt;f7-nav-title&gt; properties
        tr
          td title
          td string
          td
          td Specifies element inner title text (affects if there is no child elements)
        tr
          td subtitle
          td string
          td
          td Sub title text
        tr
          td sliding
          td boolean
          td
          td Enables "sliding" effect. By default inherits `sliding` prop of parent `f7-navbar`
        tr
          th(colspan="4") &lt;f7-nav-right&gt; properties
        tr
          td sliding
          td boolean
          td
          td Enables "sliding" effect. By default inherits `sliding` prop of parent `f7-navbar`
    h2 Navbar Methods
    table.methods-table
      tr
        th(colspan="2") &lt;f7-navbar&gt; methods
      tr
        td .hide(<span>animate</span>)
        td Hide navbar
      tr
        td .show(<span>animate</span>)
        td Show navbar
      tr
        td .size()
        td Size navbar

    h2 Navbar Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-navbar&gt; events
        tr
          td back-click<br>click:back
          td Event will be triggered after click on navbar back link
        tr
          td navbar:hide
          td Event will be triggered when Navbar becomes hidden
        tr
          td navbar:show
          td Event will be triggered when Navbar becomes visible
        tr
          td navbar:collapse
          td Event will be triggered when Navbar with large title collapsed (from large navbar to usual navbar)
        tr
          td navbar:expand
          td Event will be triggered when Navbar with large title expanded (from usual navbar to large navbar)
        tr
          th(colspan="2") &lt;f7-nav-left&gt; events
        tr
          td back-click<br>click:back
          td Event will be triggered after click on navbar back link

    h2 Navbar Slots
    p Navbar Vue component (`<f7-navbar>`) has additional slots for custom elements:
    ul
      li `default` - element will be inserted as a child of `<div class="navbar-inner">` element
      li `before-inner` - element will be inserted right before `<div class="navbar-inner">` element
      li `after-inner` - element will be inserted right after `<div class="navbar-inner">` element
      li `left` - element will be inserted in navbar's left element
      li `right` - element will be inserted in navbar's right element
      li `title` - element will be inserted in navbar's title element
      li `title-large` - element will be inserted in navbar's large title text element
    :code(lang="html")
      <f7-navbar title="My App">
        <a href="#" slot="left">Left Link</a>
        <a href="#" slot="right">Right Link</a>
        <div slot="before-inner">Before Inner</div>
        <div slot="after-inner">After Inner</div>
        <div>Default slot</div>
      </f7-navbar>

      <!-- Renders to: -->

      <div class="navbar">
        <div class="navbar-bg"></div>
        <div>Before Inner</div>
        <div class="navbar-inner">
          <div class="left">
            <a href="#">Left Link</a>
          </div>
          <div class="title">My App</div>
          <div class="right">
            <a href="#">Right Link</a>
          </div>
          <div>Default slot</div>
        </div>
        <div>After Inner</div>
      </div>

    h2 Examples
    h4 Minimal layout
    :code(lang="html")
      <f7-navbar title="My App"></f7-navbar>

    h4 Minimal layout with back link
    :code(lang="html")
      <f7-navbar title="My App" back-link="Back"></f7-navbar>

    h4 Without "sliding" transition effect (affects iOS theme only)
    :code(lang="html")
      <f7-navbar title="My App" back-link="Back" :sliding="false"></f7-navbar>

    h4 With additional right link to open right panel
    :code(lang="html")
      <f7-navbar title="My App" back-link="Back">
        <f7-nav-right>
          <f7-link icon="icon-bars" panel-open="right"></f7-link>
        </f7-nav-right>
      </f7-navbar>

      <!-- or -->

      <f7-navbar title="My App" back-link="Back">
        <f7-link slot="right" icon="icon-bars" panel-open="right"></f7-link>
      </f7-navbar>

    h4 With large title
    :code(lang="html")
      <f7-navbar title="My App" back-link="Back" large></f7-navbar>

      <!-- with different large title text -->

      <f7-navbar title="My App" back-link="Back" large title-large="Large Title"></f7-navbar>

    h4 All three parts
    :code(lang="html")
      <f7-navbar>
        <f7-nav-left back-link="Back"></f7-nav-left>
        <f7-nav-title>My App</f7-nav-title>
        <f7-nav-right>
          <f7-link icon="icon-bars" panel-open="right"></f7-link>
        </f7-nav-right>
      </f7-navbar>

    h4 Full custom layout
    :code(lang="html")
      <f7-navbar>
        <f7-nav-left>
          <f7-link>Left Link</f7-link>
        </f7-nav-left>
        <f7-nav-title>My App</f7-nav-title>
        <f7-nav-right>
          <f7-link>Right Link</f7-link>
        </f7-nav-right>
      </f7-navbar>
